@import '../../../../assets/static/css/variable.scss';

.graph-percentage {
  padding-bottom: 40px;
  display: flex;

  @media(max-width:479px) {
    flex-wrap: wrap;
  }

  div {
    @media(max-width:479px) {
      width: 50%;
    }

    h5 {
      font-size: 24px;
      font-weight: 700;
      line-height: 35px;
      margin-right: 40px;
      margin-bottom: 20px;

      @media(max-width:767px) {
        font-size: 20px;
        margin-right: 30px;
      }

      @media(max-width:479px) {
        margin-bottom: 10px;
      }
    }


    &:last-child {
      margin-right: 0px;
    }

    &.p-black {
      h5 {
        color: #000;
      }

    }

    &.p-grey {
      h5 {
        color: #C2CAD7;
      }

    }

    .change {
      span {
        background-color: $orange;
        height: 4px;
        max-width: 74px;
        display: block;

        @media(max-width:767px) {
          max-width: 64px;
        }
      }
    }

    .leads {
      span {
        background-color: $green;
        height: 4px;
        max-width: 74px;
        display: block;

        @media(max-width:767px) {
          max-width: 64px;
        }
      }
    }

    .engagement {
      span {
        background-color: $blue;
        height: 4px;
        max-width: 80px;
        display: block;

        @media(max-width:767px) {
          max-width: 64px;
        }
      }
    }

    .prev-leads {
      span {
        background-color: #BDD7D2;
        height: 4px;
        max-width: 74px;
        display: block;

        @media(max-width:767px) {
          max-width: 64px;
        }
      }
    }

    .prev-engagement {
      span {
        background-color: #C2CAD7;
        height: 4px;
        max-width: 106px;
        display: block;

        @media(max-width:767px) {
          max-width: 80px;
        }
      }
    }

    p {
      font-size: 14px;
      color: #000;
      font-family: $font-karla;

      @media(max-width:767px) {
        font-size: 10px;
      }
    }
  }
}

.graph-label-main {
  display: flex;
  margin-bottom: 25px;

  @media(max-width:584px) {
    flex-wrap: wrap;
    margin-bottom: 10px;
  }

  div {
    margin-right: 20px;

    @media(max-width:584px) {
      width: 50%;
      margin-bottom: 10px;
      display: inline-block;
      margin-right: 0px;
    }

    p {
      font-size: 14px;
      color: #000;
      font-family: $font-karla;
    }

  }

  .change {
    span {
      background-color: $orange;
      height: 4px;
      max-width: 74px;
      display: block;
    }
  }

  .leads {
    span {
      background-color: $green;
      height: 4px;
      max-width: 74px;
      display: block;
    }
  }

  .engagement {
    span {
      background-color: $blue;
      height: 4px;
      max-width: 80px;
      display: block;
    }
  }

  .prev-leads {
    span {
      background-color: #BDD7D2;
      height: 4px;
      max-width: 74px;
      display: block;
    }
  }

  .prev-engagement {
    span {
      background-color: #C2CAD7;
      height: 4px;
      max-width: 106px;
      display: block;
    }
  }
}


.graph-bottom-text {
  display: flex;
  justify-content: space-between;
  margin: 50px 0px 35px;

  .text-left {
    label {
      color: #000;
      font-size: 12px;
      letter-spacing: 0.05em;
      line-height: 18px;
      font-family: $font-karla;
    }

    p {
      color: $blue;
      letter-spacing: 0.05em;
      font-weight: 700;
      font-size: 20px;
      font-family: $font-dm;
      margin-bottom: 0px;
    }
  }

  .text-right {
    label {
      font-size: 9px;
      color: #000;
      letter-spacing: 0.05em;
      font-family: $font-karla;
    }
  }
}